Index: trunk/doc/Flair/_uav_8h.js
===================================================================
--- trunk/doc/Flair/_uav_8h.js	(revision 47)
+++ trunk/doc/Flair/_uav_8h.js	(revision 47)
@@ -0,0 +1,5 @@
+var _uav_8h =
+[
+    [ "Uav", "classflair_1_1meta_1_1_uav.html", "classflair_1_1meta_1_1_uav" ],
+    [ "GetUav", "_uav_8h.html#a25c35970b8786dd95240a48119065b69", null ]
+];
Index: trunk/doc/Flair/_vrpn_client_8h.js
===================================================================
--- trunk/doc/Flair/_vrpn_client_8h.js	(revision 47)
+++ trunk/doc/Flair/_vrpn_client_8h.js	(revision 47)
@@ -0,0 +1,5 @@
+var _vrpn_client_8h =
+[
+    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html", "classflair_1_1sensor_1_1_vrpn_client" ],
+    [ "GetVrpnClient", "_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c", null ]
+];
Index: trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 47)
@@ -7,4 +7,5 @@
     [ "GetTabWidget", "classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b", null ],
     [ "SetupLogger", "classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405", null ],
+    [ "GetLogPath", "classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673", null ],
     [ "AddDeviceToLog", "classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6", null ],
     [ "IsDeviceLogged", "classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 47)
@@ -0,0 +1,8 @@
+var classflair_1_1core_1_1_semaphore =
+[
+    [ "Semaphore", "classflair_1_1core_1_1_semaphore.html#a5db3e44d22d40dd29f6853394300d1df", null ],
+    [ "~Semaphore", "classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790", null ],
+    [ "GetSemaphore", "classflair_1_1core_1_1_semaphore.html#a197221f875628bec292dd6fbe6f04142", null ],
+    [ "ReleaseSemaphore", "classflair_1_1core_1_1_semaphore.html#aa56224f3d283a7d328b6a452f376a6f6", null ],
+    [ "::ConditionVariable_impl", "classflair_1_1core_1_1_semaphore.html#aad79ca01711327d0cf4a99bbadeeb11d", null ]
+];
Index: trunk/doc/Flair/classflair_1_1core_1_1cvimage_1_1_type.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1cvimage_1_1_type.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1core_1_1cvimage_1_1_type.js	(revision 47)
@@ -5,5 +5,5 @@
       [ "UYVY", "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296", null ],
       [ "BGR", "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc", null ],
-      [ "GRAY", "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa48bf014c704c9eaae100a98006a37bf7", null ]
+      [ "Gray", "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93", null ]
     ] ],
     [ "Type", "classflair_1_1core_1_1cvimage_1_1_type.html#ab603dcece0f46cafdf0765e8d512e7c8", null ],
Index: trunk/doc/Flair/classflair_1_1meta_1_1_hds_x8.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_hds_x8.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_hds_x8.js	(revision 47)
@@ -1,6 +1,7 @@
 var classflair_1_1meta_1_1_hds_x8 =
 [
-    [ "HdsX8", "classflair_1_1meta_1_1_hds_x8.html#afbe4499c73c44d4bdbab30c6b80f0334", null ],
+    [ "HdsX8", "classflair_1_1meta_1_1_hds_x8.html#a32f79f226e0215e64f7657e0f4e60adf", null ],
     [ "~HdsX8", "classflair_1_1meta_1_1_hds_x8.html#ac64a8cb838c09d0b6489ccc37767d5c5", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_hds_x8.html#af81a1712836f11a7da676052f7590d86", null ]
+    [ "StartSensors", "classflair_1_1meta_1_1_hds_x8.html#af81a1712836f11a7da676052f7590d86", null ],
+    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_hds_x8.html#a9320de93d6ac7de147498180a475c77f", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js	(revision 47)
@@ -1,6 +1,6 @@
 var classflair_1_1meta_1_1_meta_vrpn_object =
 [
-    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#a463cedbea1af085ff33e7ca78e9042c3", null ],
-    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#a2ba6368e2471bab731501454352ad9c2", null ],
+    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#ae263b57e7b09be7082ff8f8c9121e888", null ],
+    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#a751b751083917b3dd6d355b5c9842d82", null ],
     [ "~MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#ab95f8fb0c9debbb5aa0c8230da882355", null ],
     [ "VxPlot", "classflair_1_1meta_1_1_meta_vrpn_object.html#aaaceb43a7ea27eca33e1b81557669845", null ],
Index: trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4.js	(revision 47)
@@ -1,7 +1,6 @@
 var classflair_1_1meta_1_1_simu_x4 =
 [
-    [ "SimuX4", "classflair_1_1meta_1_1_simu_x4.html#aba173ddf508aeaa55d8647c5c531af1a", null ],
+    [ "SimuX4", "classflair_1_1meta_1_1_simu_x4.html#a50f20532b0ce03892174d5e82f113172", null ],
     [ "~SimuX4", "classflair_1_1meta_1_1_simu_x4.html#a077d807f2a97a9177e0cccd721de2058", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_simu_x4.html#ac465bd864baebe91ed22937da4392d08", null ],
-    [ "SetupVRPNAutoIP", "classflair_1_1meta_1_1_simu_x4.html#a27a749569303e6ac249ecff35c1829f5", null ]
+    [ "StartSensors", "classflair_1_1meta_1_1_simu_x4.html#ac465bd864baebe91ed22937da4392d08", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_simu_x8.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_simu_x8.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_simu_x8.js	(revision 47)
@@ -1,7 +1,6 @@
 var classflair_1_1meta_1_1_simu_x8 =
 [
-    [ "SimuX8", "classflair_1_1meta_1_1_simu_x8.html#a186191efaa94366f4963fa89c8cbf600", null ],
+    [ "SimuX8", "classflair_1_1meta_1_1_simu_x8.html#a04d3a47b57b4c2631c80dfe1650c9926", null ],
     [ "~SimuX8", "classflair_1_1meta_1_1_simu_x8.html#a48a3e01cda9c4641539d3e4499944204", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96", null ],
-    [ "SetupVRPNAutoIP", "classflair_1_1meta_1_1_simu_x8.html#a23aee9a02b6b55d05a5e27a1213d28c1", null ]
+    [ "StartSensors", "classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_uav.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 47)
@@ -1,9 +1,7 @@
 var classflair_1_1meta_1_1_uav =
 [
-    [ "Uav", "classflair_1_1meta_1_1_uav.html#a864ba7aa6033e21b56ef9878a1e48fc2", null ],
+    [ "Uav", "classflair_1_1meta_1_1_uav.html#aa512f51f51b53bdf92821532727f2db7", null ],
     [ "~Uav", "classflair_1_1meta_1_1_uav.html#aafa599a87ab1774de193d5b18474e2b7", null ],
-    [ "SetupVRPN", "classflair_1_1meta_1_1_uav.html#a3530feee2f8194631031c4e78397ab4d", null ],
-    [ "SetupVRPNAutoIP", "classflair_1_1meta_1_1_uav.html#a0c5cc25c82332bdbf9aba580fb6766bc", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_uav.html#afbf0c60dab8fa921d9e2a2b8bd900c0e", null ],
+    [ "StartSensors", "classflair_1_1meta_1_1_uav.html#a84f35ffaf00d4fc0bd113dcbfb8d140e", null ],
     [ "UseDefaultPlot", "classflair_1_1meta_1_1_uav.html#a6c6738ce289162235fa2942f55900bfe", null ],
     [ "GetBldc", "classflair_1_1meta_1_1_uav.html#a39e84427251c38fe95fff8c93541d5f9", null ],
@@ -14,8 +12,7 @@
     [ "GetUsRangeFinder", "classflair_1_1meta_1_1_uav.html#a52826951585d7194a016ce8a31d9f62e", null ],
     [ "GetBatteryMonitor", "classflair_1_1meta_1_1_uav.html#af6ace6e08682f12a6702d674fe66ce32", null ],
-    [ "GetVrpnClient", "classflair_1_1meta_1_1_uav.html#af228f3b0b6241abc48d008ff7389c67e", null ],
-    [ "GetVrpnObject", "classflair_1_1meta_1_1_uav.html#a89122af1ccaa5dd287a2a91999cea470", null ],
     [ "GetVerticalCamera", "classflair_1_1meta_1_1_uav.html#a715d1259e41867078cb9dcf8bebd404e", null ],
     [ "GetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29", null ],
+    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44", null ],
     [ "SetBldc", "classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4", null ],
     [ "SetMultiplex", "classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f", null ],
Index: trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js	(revision 47)
@@ -28,5 +28,5 @@
       [ "ZTrajectoryFinished", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faac5bb3b0bbec39429565b3abce47e5436", null ]
     ] ],
-    [ "UavStateMachine", "classflair_1_1meta_1_1_uav_state_machine.html#aaccc304294da3e6c9061dea888c824b1", null ],
+    [ "UavStateMachine", "classflair_1_1meta_1_1_uav_state_machine.html#ada2a19a4fdf6a861d81078347d721d40", null ],
     [ "~UavStateMachine", "classflair_1_1meta_1_1_uav_state_machine.html#af220209a381133ba7896a29ee0149f25", null ],
     [ "GetAltitudeMode", "classflair_1_1meta_1_1_uav_state_machine.html#a95ee0204cc898cb8e5179ccc5d1dc1f5", null ],
@@ -41,5 +41,4 @@
     [ "GetCurrentQuaternion", "classflair_1_1meta_1_1_uav_state_machine.html#ae632fa95dfbd03b2459390c0aa97b7c4", null ],
     [ "GetCurrentAngularSpeed", "classflair_1_1meta_1_1_uav_state_machine.html#a42bd79939eca721ee4b632ee07d704e6", null ],
-    [ "GetUav", "classflair_1_1meta_1_1_uav_state_machine.html#a7305480f25f1eeccf60d4c3dba636ebb", null ],
     [ "Land", "classflair_1_1meta_1_1_uav_state_machine.html#a08afc337453ad8587ff07c0c07c1d42f", null ],
     [ "EmergencyLand", "classflair_1_1meta_1_1_uav_state_machine.html#a0e53dbcb461575eed6f2cfefe7aa9437", null ],
Index: trunk/doc/Flair/classflair_1_1meta_1_1_x_air.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_x_air.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_x_air.js	(revision 47)
@@ -1,6 +1,7 @@
 var classflair_1_1meta_1_1_x_air =
 [
-    [ "XAir", "classflair_1_1meta_1_1_x_air.html#aad0ad84b7d771c368341943568337c37", null ],
+    [ "XAir", "classflair_1_1meta_1_1_x_air.html#a8b612c65a39cfc7252deb5d60616e1c1", null ],
     [ "~XAir", "classflair_1_1meta_1_1_x_air.html#a42374387735247add58968b985d7cd5a", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_x_air.html#acef907daa0b811d60d6308d06b85d104", null ]
+    [ "StartSensors", "classflair_1_1meta_1_1_x_air.html#acef907daa0b811d60d6308d06b85d104", null ],
+    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_x_air.html#af941044271cb9ece534587c7c5b947b9", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js	(revision 47)
@@ -12,5 +12,6 @@
     [ "GetLayout", "classflair_1_1sensor_1_1_camera.html#a684b76e97ad410052d04da65a39eaf1d", null ],
     [ "GetPlotTab", "classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228", null ],
-    [ "SaveToFile", "classflair_1_1sensor_1_1_camera.html#a021269c674e17ad897269a22a6576309", null ],
+    [ "SaveRawPictureToFile", "classflair_1_1sensor_1_1_camera.html#a2c8759d51a00ada2c069b51c34d17653", null ],
+    [ "SavePictureToFile", "classflair_1_1sensor_1_1_camera.html#adaa0b365fb3d3de0308e0269451db957", null ],
     [ "Width", "classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63", null ],
     [ "Height", "classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_client.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_client.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_client.js	(revision 47)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_vrpn_client =
 [
-    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a692f54af97f509bd8ecf8d27d759101d", null ],
-    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a4713769cce926d08978fb8bdb990e641", null ],
+    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a370c45f429eda66c39c1cec13f2dcde3", null ],
+    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a1d5462b08d2aff8ddc05b564158f4fff", null ],
     [ "~VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#adf2374e9d69ff17fc490ba06e6488a50", null ],
     [ "GetLayout", "classflair_1_1sensor_1_1_vrpn_client.html#aa225221a811194704cf10b0726a1680d", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 44)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 47)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_vrpn_object =
 [
-    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#aa5bbb98011e31146b7d32b5d838ef0ef", null ],
-    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#aadf565240a19bda520271897b63ab469", null ],
+    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#ae63bc389dc7a4eb878d07cb71eb7d710", null ],
+    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#a18c54c8e2e297647fc2ffdebc2835c2f", null ],
     [ "~VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#a3f763c10994c9105bc24b3ab61f90afa", null ],
     [ "GetPlotTab", "classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539", null ],
Index: trunk/doc/Flair/files.js
===================================================================
--- trunk/doc/Flair/files.js	(revision 44)
+++ trunk/doc/Flair/files.js	(revision 47)
@@ -293,7 +293,5 @@
       [ "TrajectoryGenerator2DCircle", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html", "classflair_1_1filter_1_1_trajectory_generator2_d_circle" ]
     ] ],
-    [ "Uav.h", "_uav_8h.html", [
-      [ "Uav", "classflair_1_1meta_1_1_uav.html", "classflair_1_1meta_1_1_uav" ]
-    ] ],
+    [ "Uav.h", "_uav_8h.html", "_uav_8h" ],
     [ "UavFactory.h", "_uav_factory_8h_source.html", null ],
     [ "UavMultiplex.h", "_uav_multiplex_8h.html", [
@@ -323,7 +321,5 @@
     ] ],
     [ "VisualizationCamera.h", "_visualization_camera_8h_source.html", null ],
-    [ "VrpnClient.h", "_vrpn_client_8h.html", [
-      [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html", "classflair_1_1sensor_1_1_vrpn_client" ]
-    ] ],
+    [ "VrpnClient.h", "_vrpn_client_8h.html", "_vrpn_client_8h" ],
     [ "VrpnObject.h", "_vrpn_object_8h.html", [
       [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html", "classflair_1_1sensor_1_1_vrpn_object" ]
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 44)
+++ trunk/doc/Flair/navtreedata.js	(revision 47)
@@ -31,9 +31,9 @@
 [
 "_afro_bldc_8h.html",
-"_vector3_d_spin_box_8h.html",
-"classflair_1_1core_1_1_i_o_device.html#a75e82ca2ae2fb7c39d973dd3d16bc698",
-"classflair_1_1core_1_1_vector3_d.html#a6f35427a9d3ceac38b7fd288bb9ddde8",
-"classflair_1_1gui_1_1_box.html#a3d1e4e81c7c59a051368a346a104c988",
-"classflair_1_1meta_1_1_uav_state_machine.html#a9340da0cfbec2e72f323e51a43ae0b19",
+"_vector3_d_8h_source.html",
+"classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66",
+"classflair_1_1core_1_1_vector3_d.html#a665b8d12fefcce0292ff2a64d98cae04",
+"classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450",
+"classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc",
 "classflair_1_1sensor_1_1_switch_led_message.html#aed2d41c6c992f87ce759549c690fe905",
 "io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3"
Index: trunk/doc/Flair/navtreeindex0.js
===================================================================
--- trunk/doc/Flair/navtreeindex0.js	(revision 44)
+++ trunk/doc/Flair/navtreeindex0.js	(revision 47)
@@ -217,4 +217,5 @@
 "_trajectory_generator2_d_circle_8h_source.html":[2,0,111],
 "_uav_8h.html":[2,0,112],
+"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,112,1],
 "_uav_8h_source.html":[2,0,112],
 "_uav_factory_8h_source.html":[2,0,113],
@@ -249,5 +250,4 @@
 "_vector3_d_8h.html#a6445af2cc5145fc68833d6257072bcb5":[2,0,122,1],
 "_vector3_d_8h.html#a8aa5ce31a59d8c9679ea46f08cd09bda":[2,0,122,4],
-"_vector3_d_8h.html#aa699543f49850bdc5a3707ae6f768907":[2,0,122,2],
-"_vector3_d_8h_source.html":[2,0,122]
+"_vector3_d_8h.html#aa699543f49850bdc5a3707ae6f768907":[2,0,122,2]
 };
Index: trunk/doc/Flair/navtreeindex1.js
===================================================================
--- trunk/doc/Flair/navtreeindex1.js	(revision 44)
+++ trunk/doc/Flair/navtreeindex1.js	(revision 47)
@@ -1,4 +1,5 @@
 var NAVTREEINDEX1 =
 {
+"_vector3_d_8h_source.html":[2,0,122],
 "_vector3_d_spin_box_8h.html":[2,0,124],
 "_vector3_d_spin_box_8h_source.html":[2,0,124],
@@ -7,4 +8,5 @@
 "_visualization_camera_8h_source.html":[2,0,125],
 "_vrpn_client_8h.html":[2,0,126],
+"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,126,1],
 "_vrpn_client_8h_source.html":[2,0,126],
 "_vrpn_object_8h.html":[2,0,127],
@@ -164,18 +166,19 @@
 "classflair_1_1core_1_1_float_type.html#a9fc860cea845c2f8eec84b176c1847e4":[1,0,0,1,10,0],
 "classflair_1_1core_1_1_framework_manager.html":[1,0,0,1,11],
-"classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae":[1,0,0,1,11,8],
-"classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1":[1,0,0,1,11,13],
-"classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42":[1,0,0,1,11,16],
+"classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae":[1,0,0,1,11,9],
+"classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1":[1,0,0,1,11,14],
+"classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42":[1,0,0,1,11,17],
+"classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673":[1,0,0,1,11,6],
 "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85":[1,0,0,1,11,3],
 "classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88":[1,0,0,1,11,2],
-"classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4":[1,0,0,1,11,10],
-"classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd":[1,0,0,1,11,15],
-"classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c":[1,0,0,1,11,11],
-"classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1":[1,0,0,1,11,14],
+"classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4":[1,0,0,1,11,11],
+"classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd":[1,0,0,1,11,16],
+"classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c":[1,0,0,1,11,12],
+"classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1":[1,0,0,1,11,15],
 "classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b":[1,0,0,1,11,4],
-"classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a":[1,0,0,1,11,9],
-"classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6":[1,0,0,1,11,6],
-"classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271":[1,0,0,1,11,12],
-"classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7":[1,0,0,1,11,7],
+"classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a":[1,0,0,1,11,10],
+"classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6":[1,0,0,1,11,7],
+"classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271":[1,0,0,1,11,13],
+"classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7":[1,0,0,1,11,8],
 "classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4":[1,0,0,1,11,1],
 "classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405":[1,0,0,1,11,5],
@@ -247,7 +250,4 @@
 "classflair_1_1core_1_1_i_o_data_element.html#afb7f07567eebeb7fbe970f1b7e39ef4c":[1,0,0,1,17,0],
 "classflair_1_1core_1_1_i_o_device.html":[1,0,0,1,18],
-"classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f":[1,0,0,1,18,1],
-"classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66":[1,0,0,1,18,4],
-"classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9":[1,0,0,1,18,3],
-"classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc":[1,0,0,1,18,7]
+"classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f":[1,0,0,1,18,1]
 };
Index: trunk/doc/Flair/navtreeindex2.js
===================================================================
--- trunk/doc/Flair/navtreeindex2.js	(revision 44)
+++ trunk/doc/Flair/navtreeindex2.js	(revision 47)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX2 =
 {
+"classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66":[1,0,0,1,18,4],
+"classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9":[1,0,0,1,18,3],
+"classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc":[1,0,0,1,18,7],
 "classflair_1_1core_1_1_i_o_device.html#a75e82ca2ae2fb7c39d973dd3d16bc698":[1,0,0,1,18,5],
 "classflair_1_1core_1_1_i_o_device.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,1,18,10],
@@ -247,7 +250,4 @@
 "classflair_1_1core_1_1_vector3_d.html#a3ad4bdcace1ac9bcb5abc85f7d9e5a71":[1,0,0,1,40,17],
 "classflair_1_1core_1_1_vector3_d.html#a3fd138b1900ecdbde6c769418690f0ab":[1,0,0,1,40,10],
-"classflair_1_1core_1_1_vector3_d.html#a5cb64b1d1a281549d8ec8ae87ad7ab85":[1,0,0,1,40,14],
-"classflair_1_1core_1_1_vector3_d.html#a665b8d12fefcce0292ff2a64d98cae04":[1,0,0,1,40,0],
-"classflair_1_1core_1_1_vector3_d.html#a6762d159674d7a41f7222788f1e22521":[1,0,0,1,40,23],
-"classflair_1_1core_1_1_vector3_d.html#a6787f33bc83a7e98f906a65f6add13ab":[1,0,0,1,40,12]
+"classflair_1_1core_1_1_vector3_d.html#a5cb64b1d1a281549d8ec8ae87ad7ab85":[1,0,0,1,40,14]
 };
Index: trunk/doc/Flair/navtreeindex3.js
===================================================================
--- trunk/doc/Flair/navtreeindex3.js	(revision 44)
+++ trunk/doc/Flair/navtreeindex3.js	(revision 47)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX3 =
 {
+"classflair_1_1core_1_1_vector3_d.html#a665b8d12fefcce0292ff2a64d98cae04":[1,0,0,1,40,0],
+"classflair_1_1core_1_1_vector3_d.html#a6762d159674d7a41f7222788f1e22521":[1,0,0,1,40,23],
+"classflair_1_1core_1_1_vector3_d.html#a6787f33bc83a7e98f906a65f6add13ab":[1,0,0,1,40,12],
 "classflair_1_1core_1_1_vector3_d.html#a6f35427a9d3ceac38b7fd288bb9ddde8":[1,0,0,1,40,4],
 "classflair_1_1core_1_1_vector3_d.html#a7658adc90742044380b6b5a05a25628e":[1,0,0,1,40,20],
@@ -37,7 +40,7 @@
 "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f":[1,0,0,1,3,0,0],
 "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa2ad5640ebdec72fc79531d1778c6c2dc":[1,0,0,1,3,0,0,2],
-"classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa48bf014c704c9eaae100a98006a37bf7":[1,0,0,1,3,0,0,3],
 "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7":[1,0,0,1,3,0,0,0],
 "classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296":[1,0,0,1,3,0,0,1],
+"classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa994ae1d9731cebe455aff211bcb25b93":[1,0,0,1,3,0,0,3],
 "classflair_1_1core_1_1cvimage_1_1_type.html#ae1c1d3cb534890d6e0ff7a06e0065c01":[1,0,0,1,3,0,6],
 "classflair_1_1core_1_1cvimage_1_1_type.html#aede1b290a8011674010eb588882fc98d":[1,0,0,1,3,0,4],
@@ -247,7 +250,4 @@
 "classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756":[1,0,0,2,16,1,1],
 "classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0":[1,0,0,2,16,1,4],
-"classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0":[1,0,0,2,16,1,6],
-"classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450":[1,0,0,2,16,1,2],
-"classflair_1_1gui_1_1_box.html":[1,0,0,3,0],
-"classflair_1_1gui_1_1_box.html#a2f126878bf430425982c367e709ea438":[1,0,0,3,0,0]
+"classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0":[1,0,0,2,16,1,6]
 };
